National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2010-2542 Detail

Description

Stack-based buffer overflow in the is_git_directory function in setup.c in Git before 1.7.2.1 allows local users to gain privileges via a long gitdir: field in a .git file in a working copy.

Source:  MITRE
Description Last Modified:  08/11/2010

Impact

CVSS v2.0 Severity and Metrics:

Base Score: 7.5 HIGH
Vector: (AV:N/AC:L/Au:N/C:P/I:P/A:P) (V2 legend)
Impact Subscore: 6.4
Exploitability Subscore: 10.0


Access Vector (AV): Network
Access Complexity (AC): Low
Authentication (AU): None
Confidentiality (C): Partial
Integrity (I): Partial
Availability (A): Partial
Additional Information:
Allows unauthorized disclosure of information
Allows unauthorized modification
Allows disruption of service

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://git.kernel.org/?p=git/git.git;a=commit;h=3c9d0414ed2db0167e6c828b547be8fc9f88fccc
http://lists.opensuse.org/opensuse-security-announce/2011-02/msg00004.html
http://www.kernel.org/pub/software/scm/git/docs/RelNotes-1.7.2.1.txt
http://www.openwall.com/lists/oss-security/2010/07/22/1
http://www.openwall.com/lists/oss-security/2010/07/22/4
http://www.securityfocus.com/bid/41891
http://www.vupen.com/english/advisories/2011/0464
https://bugzilla.redhat.com/show_bug.cgi?id=618108

Technical Details

Vulnerability Type (View All)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
OR
cpe:2.3:a:git:git:*:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.01:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.02:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.03:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.04:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.6:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.7:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.99.9j:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.99.9k:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.99.9l:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.99.9m:*:*:*:*:*:*:*
cpe:2.3:a:git:git:0.99.9n:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.0.0:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.0.0b:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.0.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.0.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.0.6:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.0.7:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.0.8:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.1.0:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.1.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.1.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.1.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.1.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.1.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.1.6:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.2.0:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.2.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.2.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.2.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.2.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.2.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.2.6:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.3.0:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.3.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.3.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.3.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.0:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.1.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.2.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.2.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.2.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.2.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.3.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.3.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.3.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.3.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.3.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.4.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.4.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.4.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.4.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.4.4.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0:rc2:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0:rc3:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0:rc4:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0.6:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.0.7:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.1.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.1.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.1.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.1.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.1.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.1.6:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.2.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.2.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.2.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.2.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.2.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3:rc4:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3:rc5:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3:rc7:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3.1:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3.2:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3.3:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3.5:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3.6:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3.7:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.3.8:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.4:*:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.4:rc0:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.4:rc1:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.4:rc1.1136.g2794:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.4:rc2:*:*:*:*:*:*
cpe:2.3:a:git:git:1.5.4:rc3:*:*:*:*:*:*
Showing 100 of 161 CPEs, view all CPEs here.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2010-2542
NVD Published Date:
08/11/2010
NVD Last Modified:
03/01/2011